%{
#include <stdlib.h>
#include "y.tab.h"
int yywrap(void);
int yylex(void);
%}
%%
\;                      { return(';'); }
\+                      { return('+'); }
\*                      { return('*'); }
\-                      { return('-'); }
\(                      { return('('); }
\)                      { return(')'); }
\,                      { return(','); }
[0-9]+                  { yylval.ival=atoi(yytext);
                          return(num);
                        }
[A-Za-z_][A-Za-z0-9_]*  { yylval.text=strdup(yytext);
                          return(id);
                        }
" "|\t|\n               { ; }
%%
int yywrap(void)
{ return 1; }
