%{
#include "y.tab.h"
#include <string.h>
int yywrap(void);
int yylex(void);
int lineno=0;
%}
%x string
%%
[0-9]+                 { yylval = atoi(yytext); return NUM; }
\)                     { return ')'; }
\(                     { return '('; }
\+                     { return SUM; }
\-                     { return SUB; }
\*                     { return MUL; }
\/                     { return DIV; }
\n                     { lineno++; }
\"                     { BEGIN(string); yylval = calloc(1, 100); }
<string>\"             { BEGIN(0); }
<string>\\n            { ; }
<string>.              { ; }
.                      { ; }
%%
int yywrap(void)
{ return 1; }
