%{
#include <stdio.h>
int ptr = 0;
int s[100] = {0};
%}
%%
[0-9]+ {  s[ptr] = atoi(yytext); ptr++; }
\+      {  ptr--; s[ptr-1] += s[ptr];    }
\*      {  ptr--; s[ptr-1] *= s[ptr];    }
\n      { printf("%d\n", s[ptr-1]); ptr = 0; }
.       ;
%%
int main(void) { return yylex(); }
int yywrap(void) {return 1;}
